> For the complete documentation index, see [llms.txt](https://docs.hyperplay.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hyperplay.xyz/developer-docs/store-apis/listings-by-popularity.md).

# Listings by Popularity

## Get Store Listings

## Get Listings ordered by popularity

<mark style="color:blue;">`GET`</mark> `https://store.hyperplay.xyz/api/popularity`

This specific request is tailored to fetch a list of meticulously reviewed games, showcasing the best and most popular titles currently available.

This endpoint returns all games listed on HyperPlay, ordered by descending popularity.

#### Query Parameters

| Name                | Type    | Description                                                                                 |
| ------------------- | ------- | ------------------------------------------------------------------------------------------- |
| verified            | Boolean | Returns games that are compatible with MetaMask in-game or MetaMask compatible marketplaces |
| metaMaskInGame      | Boolean | Returns games that support MetaMask in-game                                                 |
| metaMaskMarketplace | Boolean | Returns games that have MetaMask compatible marketplaces                                    |

{% tabs %}
{% tab title="200: OK Returns game listings" %}

{% endtab %}
{% endtabs %}

#### Making the Request

{% tabs %}
{% tab title="Curl Request" %}

```bash
curl --location 'https://store.hyperplay.xyz/api/popularity' \
--header 'Content-Type: application/json'
```

{% endtab %}

{% tab title="Response Type" %}
Here is the TypeScript type for the response:

```typescript
[{
	channels: [{
		channel_id: number;
		channel_name: string;
		release_meta: {
			name: string;
			meta_uri: string;
			platforms: {
				web: {
					name: string;
					external_url: string;
				};
				linux_amd64: {
					name: string;
					executable: string;
					installSize: string;
					processName: string;
					downloadSize: string;
					external_url: string;
					installScript: string;
				};
				darwin_amd64: {
					name: string;
					executable: string;
					installSize: string;
					processName: string;
					downloadSize: string;
					external_url: string;
					installScript: string;
				};
				windows_amd64: {
					name: string;
					executable: string;
					installSize: string;
					processName: string;
					downloadSize: string;
					external_url: string;
					installScript: string;
				};
			};
			project_id: string;
			release_id: string;
			description: string;
			external_url: string;
			release_name: string;
		};
		license_config: {
			id: string | null;
			tokens: boolean;
			access_codes: boolean;
		};
	}];
	disabled: boolean;
	account_id: string;
	isVerified: boolean;
	project_id: string;
	updated_at: Date;
	account_meta: {
		name: string;
		image: string;
		meta_uri: string;
		description: string;
		external_url: string;
	};
	account_name: string;
	project_meta: [{
		name: string;
		tags: string[];
		type: string;
		image: string;
		gallery: [{
			src: string;
			name: string;
			type: string;
		}];
		meta_uri: string;
		networks: {
			icon: string | null;
			name: string;
			type: string;
			address: string;
			chain_id: string;
			marketplace_urls: string[];
		};
		repository: string | null;
		description: string;
		discord_url: string;
		launch_epic: boolean;
		twitter_url: string;
		youtube_url: string | null;
		external_url: string;
		main_capsule: string;
		uses_overlay: boolean;
		is_hyperplay_exclusive: boolean;
		wine_support: {
			mac: boolean;
			linux: boolean;
		};
		epic_game_url: string;
		launch_external: string | null;
		prompt_donation: string | null;
		donation_address: string | null;
		short_description: string;
		system_requirements: {
			cpu: string;
			gpu: string;
			disk: string;
			memory: string;
		};
	}];
	project_name: string;
}];
```

{% endtab %}
{% endtabs %}

#### Parameter combinations

When setting `verified=true`, only games that have ***either*** in-game MetaMask support, ***or*** MetaMask compatible marketplaces will be returned. This parameter is not necessary if using `metaMaskInGame` or `metaMaskMarketplace` separately.

When setting `metaMaskInGame=true`, only games that have in-game MetaMask support will be returned. This can be combined with `metaMaskMarketplace=true` to further narrow results.

When setting `metaMaskMarketplace=true`, only games that have MetaMask compatible marketplaces will be returned.

When combining `metaMaskInGame=true` with `metaMaskMarketplace=true`, only games that have ***both*** in-game MetaMask support ***and*** MetaMask compatible marketplaces will be returned. This is a more narrow set than just using `verified=true`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hyperplay.xyz/developer-docs/store-apis/listings-by-popularity.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
